<!-- Carrito de compras -->
<div class="carrito" (click)="dialogVisible = true">
  <span class="cantidad">{{ cantidadProductos }}</span>
  <img class="img-carrito" src="../../../../../assets/image/Carrito.svg">
</div>

<div class="dialog-container-general">
  <p-dialog header="CARRITO DE COMPRAS" [modal]="true" [(visible)]="dialogVisible" [style]="{width: '50vw'}">
    <div class="productos-container">
      <div class="tarjeta-producto" *ngFor="let producto of productos">
        <!-- Imagen cabecera para las tarjetas -->
        <figure class="img_producto">
          <p-image src="{{ producto.ImgUrl }}" [preview]="true" alt="Foto del producto"></p-image>
        </figure>

        <div class="detalles-producto">
          <label class="label-fw700">{{ producto.Nombre }}</label>
          <span class="precio">{{ producto.PrecioVenta }} Bs.</span>
          <span>
            <i class="pi pi-tag"></i>
            <span>{{ producto.Categoria }}</span>
          </span>
        </div>

        <div class="botones">
          <div class="acciones">
            <button pButton icon="uil uil-trash-alt" pTooltip="Eliminar producto"
              (click)="quitarProducto(producto)"></button>
          </div>

          <div class="cantidad">
            <button pButton icon="uil uil-minus" (click)="menosProductos(producto)"></button>
            <span>{{ producto.Cantidad }}</span>
            <button pButton icon="uil uil-plus" (click)="masProductos(producto)"></button>
          </div>
        </div>
      </div>
    </div>

    <div class="productos_vacio" *ngIf="cantidadProductos === 0">
      <span>El carrito de compras esta vacio</span>
    </div>

    <ng-template pTemplate="footer">
      <div class="container-footer-elements">
        <span class="total">Total: {{ total }} Bs.</span>
        <div class="buttons_footer">
          <button type="button" pButton icon="uil uil-trash-alt" label="Vaciar carrito" class="p-button-danger"
            [disabled]="!cantidadProductos" (click)="vaciarCarrito()"></button>

          <button *ngIf="total !== 0" type="button" pButton [disabled]="!cantidadProductos" icon="uil uil-shopping-cart-alt"
            label="Confirmar compra" class="p-button-success" (click)="confirmarVenta()"></button>
        </div>
      </div>
    </ng-template>
  </p-dialog>
</div>
